Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 12659

Description

After downloading OSM data, when trying to move a feature I get:

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\osm\\map_tools\\OsmMoveMT.py", line 485, in canvasReleaseEvent

    self.+finishFeatureMoving(deltaX,deltaY)

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\osm\\map_tools\\OsmMoveMT.py", line 734, in +finishFeatureMoving

    affected=self.dbm.movePolygon(self.movFeat,deltaX,deltaY,self.snapFeat,self.snapFeatType,self.snapVertexIx)

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\osm\\OsmDatabaseManager.py", line 1478, in movePolygon

    self.changePointStatus(nodeId,"N","U")

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\osm\\OsmDatabaseManager.py", line 1802, in changePointStatus

    self.commit()

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\osm\\OsmDatabaseManager.py", line 2503, in commit

    self.getConnection().commit()

[[OperationalError]]: SQL logic error or missing database

Python version:

2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

I'm getting this under qgis trunk under windows Seven, but I have spotted it also under Ubuntu 9.10 (qgis trunk).

History

#1 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2013-03-12 04:30 PM - Martin Dobias

- Pull Request or Patch supplied set to No

- Resolution set to fixed
- Status changed from Open to Closed

The new OpenStreetMap support coming in 2.0 does not allow editing and uploading of OSM data. The current plugin with editing support has been

removed.
